Reddit Subreddit Posts API

Get recent posts from a subreddit with engagement metrics

1 creditper request
GET
/v1/reddit/subreddit
curl "https://api.scrapecreators.com/v1/reddit/subreddit" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 1000000,
  "credits_charged": 1,
  "posts": [
    {
      "id": "1lfbo7u",
      "author": "Vetro_Nodulare2",
      "author_fullname": "t2_16syu27ar1",
      "subreddit": "AskReddit",
      "title": "What is a thing you love that lots of people hate?",
      "link_flair_text": null,
      "selftext": "",
      "selftext_html": "",
      "downs": 0,
      "name": "t3_1lfbo7u",
      "upvote_ratio": 0.9,
      "ups": 45,
      "total_awards_received": 0,
      "score": 45,
      "created": 1750341959,
      "created_utc": 1750341959,
      "created_at_iso": "2025-06-19T16:45:59.000Z",
      "num_comments": 349,
      "url": "https://www.reddit.com/r/AskReddit/comments/1lfbo7u/what_is_a_thing_you_love_that_lots_of_people_hate/",
      "permalink": "/r/AskReddit/comments/1lfbo7u/what_is_a_thing_you_love_that_lots_of_people_hate/",
      "subreddit_subscribers": null,
      "is_video": false,
      "over_18": false,
      "spoiler": false,
      "domain": "self.AskReddit",
      "subreddit_id": "t5_2qh1i",
      "post_hint": "text"
    }
  ],
  "after": "t3_1lfogps"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

subreddit
string
required

Subreddit name

timeframe
string

Timeframe to get posts from

Available options:
all,
day,
week,
month,
year
sort
string

Sort order

Available options:
best,
hot,
new,
top,
rising
after
string

After to get more posts. Get 'after' from previous response.

Example:
t3_1234567890
trim
boolean

Set to true for a trimmed down version of the response

Example:
false
cache_max_age
string

If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (1 credit). See the Caching page for details.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d